Bug 8193 - net regirstry should support recursive enumeration of keys
net regirstry should support recursive enumeration of keys
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Client Tools
3.6.0rc2
All All
: P5 enhancement
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-31 14:28 UTC by Gregor Beck (550 Unknown user)
Modified: 2012-05-23 20:41 UTC (History)
2 users (show)

See Also:


Attachments
patchset for v3-6-test (8.31 KB, patch)
2011-05-31 14:33 UTC, Gregor Beck (550 Unknown user)
obnox: review+
Details
patchset for the net manpage (3.88 KB, patch)
2011-06-04 23:17 UTC, Michael Adam
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Beck (550 Unknown user) 2011-05-31 14:28:14 UTC

    
Comment 1 Gregor Beck (550 Unknown user) 2011-05-31 14:33:25 UTC
Created attachment 6505 [details]
patchset for v3-6-test
Comment 2 Volker Lendecke 2011-06-01 14:35:47 UTC
This is a completely new feature. I'm not sure this is appropriate at this point. I think this is okay for 3.7.

Other opinions?

Volker
Comment 3 Michael Adam 2011-06-03 11:21:21 UTC
(In reply to comment #2)
> This is a completely new feature. I'm not sure this is appropriate at this
> point.

Well, I thought about this. It is a small but potentially
very useful new feature, but only in the "net registry"
command. The server code is not affected. So I proposed
it for inclusion. One could even choose to only pick
the first patch of the series, which does not touch
existing net code at all but only adds the new function.

> Other opinions?

any?
Comment 4 Michael Adam 2011-06-03 11:21:55 UTC
Comment on attachment 6505 [details]
patchset for v3-6-test

Jeremy, what do you think of this small addition?
Comment 5 Jeremy Allison 2011-06-03 23:15:45 UTC
Comment on attachment 6505 [details]
patchset for v3-6-test

So I'm ok with it as a new feature, but only after you've updated the net command documentation :-). Other than that it doesn't affect anything else.

Jeremy.
Comment 6 Michael Adam 2011-06-04 23:17:24 UTC
Created attachment 6519 [details]
patchset for the net manpage

This is a patchset for the net manpage.
It actually not only documents "net registry enumerate_recursive",
but also fixes a typo, and adds missing documentation for 
"net registry deletekey_recursive".

They all should go into 3.6.

Jeremy?
Comment 7 Michael Adam 2011-06-21 13:23:10 UTC
==> Assigning to Jeremy.

The manpage patch has been added some time ago.
Jeremy, are you still willing to pass this on into 3.6.0 ?

Thanks - Michael
Comment 8 Jeremy Allison 2011-06-21 16:17:19 UTC
Ok with manpage. Re-assigning to Karolin for 3.6.

Jeremy.
Comment 9 Karolin Seeger 2011-06-21 17:57:08 UTC
*sigh*

I disagree.


Volker is right, this is not the right point to add new features (and I wrote it in a mail).
I'll push the patches this time (because it's really harmless, but please, please do understand that it's the last exception!
Comment 10 Karolin Seeger 2011-06-21 17:59:02 UTC
Pushed to v3-6-test.
Closing out bug report.
Comment 11 Jeremy Allison 2011-06-21 18:24:31 UTC
Karolin, you're the boss. Do not feel you have to push this if it will disrupt the release. Note in my comment assigning it to you I mentioned it should go into 3.6. I didn't say 3.6.0 (it could have meant 3.6.1 :-).

Jeremy.
Comment 12 Michael Adam 2011-06-21 19:47:04 UTC
(In reply to comment #11)
> Karolin, you're the boss.
> Do not feel you have to push this if it will disrupt the release.

Right!
I am sorry for the hassle...
I did not mean to call for a special exception.
But thanks for pushing the harmless little feature anyhow!

> Note in my comment assigning it to you I mentioned it should go
> into 3.6. I didn't say 3.6.0 (it could have meant 3.6.1 :-).

Hehe. Always leave a back door open, right? ... ;-)

But frankly, I have to disagree here: We should not allow
any new features in 3.6.X after 3.6.0 is out, either.
If we add new features then, we should add them now, and
if it is too late then it is simply too late. But a bugfix
release is not for new features. Just my 2 cents...

Cheers - Michael
Comment 13 Jeremy Allison 2011-06-21 20:03:46 UTC
That's a nice idea (no new features in a .x release stream) but doesn't work in practice. Our major releases are too far apart for our OEM's to be able to cope with this. For example we will need full SeBackup/SeRestore functionality in the 3.6.x release stream - can't wait until 4.0. The only think I promise in .x release stream is not to modify the VFS.

Jeremy.
Comment 14 Michael Adam 2011-06-21 20:28:17 UTC
Yeah, the difference between theory and practice... *sigh* :-)